Update a contact
curl --request PATCH \
--url https://api.openmic.ai/v1/contact-lists/{contact_list_id}/contacts/{contact_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"phone_number": "<string>",
"phone_number_2": "<string>",
"phone_number_3": "<string>",
"contact_info": {}
}
'import requests
url = "https://api.openmic.ai/v1/contact-lists/{contact_list_id}/contacts/{contact_id}"
payload = {
"name": "<string>",
"phone_number": "<string>",
"phone_number_2": "<string>",
"phone_number_3": "<string>",
"contact_info": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
phone_number: '<string>',
phone_number_2: '<string>',
phone_number_3: '<string>',
contact_info: {}
})
};
fetch('https://api.openmic.ai/v1/contact-lists/{contact_list_id}/contacts/{contact_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"name": "<string>",
"phone_number": "<string>",
"phone_number_2": "<string>",
"phone_number_3": "<string>",
"contact_info": {},
"contact_list_id": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}Contacts
Update a contact
PATCH
/
v1
/
contact-lists
/
{contact_list_id}
/
contacts
/
{contact_id}
Update a contact
Authorizations
API key authentication. Include your API key in the Authorization header as: Authorization: Bearer <your-api-key>
Body
application/json
All fields are optional. Only provided fields will be updated.
Response
Updated contact
Unique identifier.
Contact's name.
Primary phone number.
Secondary phone number.
Tertiary phone number.
Custom metadata JSON.
ID of the parent contact list.
Was this page helpful?
⌘I